#
# spec file for package paperkey
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           paperkey
Version:        1.6
Release:        1.26
Summary:        Tool to backup GnuPG secret keys on paper
License:        GPL-3.0-or-later
Group:          Productivity/Security
URL:            http://www.jabberwocky.com/software/paperkey
Source0:        http://www.jabberwocky.com/software/%{name}/%{name}-%{version}.tar.gz
Source1:        http://www.jabberwocky.com/software/%{name}/%{name}-%{version}.tar.gz.sig
Source2:        %{name}.keyring

%description
A reasonable way to achieve a long term backup of OpenPGP (GnuPG, PGP, etc)
keys is to print them out on paper. Paper and ink have amazingly long retention
qualities - far longer than the magnetic or optical means that are generally
used to back up computer data.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%check
make %{?_smp_mflags} check

%files
%license COPYING
%doc NEWS README AUTHORS
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1%{?ext_man}

%changelog
* Thu Jan 10 2019 Martin Pluskal <mpluskal@suse.com>
- Update to version 1.6:
  * Selftest updates to allow running tests in parallel via make -j
* Tue Nov 21 2017 astieger@suse.com
- paperkey 1.5:
  * Added support for OpenPGP EdDSA elliptic curve keys
  * Properly handle a secret key where the primary key is of a
    known type but a subkey is not of a known type.
* Thu Nov 24 2016 mpluskal@suse.com
- Update to version 1.4:
  * binary vs text output mismatch when using "--output-type raw"
    on Windows platforms.
* Wed Apr 15 2015 mpluskal@suse.com
- Update license information
* Thu Apr  2 2015 mpluskal@suse.com
- Cleanup spec file with spec-cleaner
- Add gpg signature
* Fri Aug 16 2013 toganm@opensuse.org
- update to 1.3
  * Added support for OpenPGP elliptic curve keys (ECDH and
    ECDSA) as specified in RFC 6637.
  * Use minimal OpenPGP packet encoding.  This does not affect
    functionality, but makes it more likely that a given key will
    match byte-for-byte the same key after running through paperkey.
  * Minor bug fixes.
  * Gnulib refresh.
- Correct license and add url to source
* Mon Apr 11 2011 puzel@novell.com
- use spec-cleaner
* Fri Oct 16 2009 puzel@novell.com
- update to paperkey-1.2
  * Minor documentation changes
  * Gnulib refresh
  * Generate output files with more restrictive permissions (go-rwx)
* Sat Feb 14 2009 puzel@suse.cz
- update to 1.1
  * make the instructions on how to restore a key without paperkey a
    bit clearer
* Mon Jan 26 2009 puzel@suse.cz
- inital package (version 1.0)
